Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci
Class Clob

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Clob

public final class Clob
extends java.lang.Object
implements java.sql.Clob, weblogic.jdbc.common.OracleLobCloser, weblogic.jdbc.common.OracleClob

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Clob(weblogic.db.oci.OciCursor cur, int pos, java.lang.String codeset, weblogic.db.oci.OciValue value, Connection con)` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`void` | `closeLob()` Deprecated.
`java.io.OutputStream` | `getAsciiOutputStream()` Deprecated. WebLogic extension to return an OutputStream for writing single byte ASCII characters to this CLOB
`java.io.InputStream` | `getAsciiStream()` Deprecated.
`java.io.Writer` | `getCharacterOutputStream()` Deprecated. WebLogic extension to return an OutputStream for writing possibly multibyte characters to this CLOB
`java.io.Reader` | `getCharacterStream()` Deprecated.
`protected weblogic.db.oci.OciLob` | `getOciLob()` Deprecated. OCI 8.1.5 or greater only public long getChunkSize() { return ((OciLob)val.valobj).getLobChunkSize(cur); }
`java.lang.String` | `getSubString(long position, int length)` Deprecated.
`long` | `length()` Deprecated.
`long` | `position(java.sql.Clob pattern, long start)` Deprecated.
`long` | `position(java.lang.String pattern, long start)` Deprecated.
`java.io.OutputStream` | `setAsciiStream(long a)` Deprecated.
`java.io.Writer` | `setCharacterStream(long a)` Deprecated.
`int` | `setString(long a, java.lang.String b)` Deprecated.
`int` | `setString(long a, java.lang.String b, int c, int d)` Deprecated.
`void` | `truncate(long a)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Clob

    public Clob(weblogic.db.oci.OciCursor cur,
                int pos,
                java.lang.String codeset,
                weblogic.db.oci.OciValue value,
                Connection con)
         throws java.sql.SQLException

  Deprecated.

Method Detail

### getAsciiStream

    public java.io.InputStream getAsciiStream()
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getAsciiStream in interface java.sql.Clob

### getCharacterStream

    public java.io.Reader getCharacterStream()
                                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    getCharacterStream in interface java.sql.Clob

### getSubString

    public java.lang.String getSubString(long position,
                                         int length)
                                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    getSubString in interface java.sql.Clob

### length

    public long length()
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    length in interface java.sql.Clob

### position

    public long position(java.sql.Clob pattern,
                         long start)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    position in interface java.sql.Clob

### position

    public long position(java.lang.String pattern,
                         long start)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    position in interface java.sql.Clob

### getAsciiOutputStream

    public java.io.OutputStream getAsciiOutputStream()
                                              throws java.sql.SQLException

  Deprecated.
  WebLogic extension to return an OutputStream for writing single byte ASCII characters to this CLOB
  Specified by:
    getAsciiOutputStream in interface weblogic.jdbc.common.OracleClob

### getCharacterOutputStream

    public java.io.Writer getCharacterOutputStream()
                                            throws java.sql.SQLException

  Deprecated.
  WebLogic extension to return an OutputStream for writing possibly multibyte characters to this CLOB
  Specified by:
    getCharacterOutputStream in interface weblogic.jdbc.common.OracleClob

### getOciLob

    protected weblogic.db.oci.OciLob getOciLob()

  Deprecated.
  OCI 8.1.5 or greater only public long getChunkSize() { return ((OciLob)val.valobj).getLobChunkSize(cur); }

### closeLob

    public void closeLob()

  Deprecated.
  Specified by:
    closeLob in interface weblogic.jdbc.common.OracleLobCloser

### close

    public void close()

  Deprecated.

### setCharacterStream

    public java.io.Writer setCharacterStream(long a)
                                      throws java.sql.SQLException

  Deprecated.
  Specified by:
    setCharacterStream in interface java.sql.Clob

### setString

    public int setString(long a,
                         java.lang.String b)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setString in interface java.sql.Clob

### setString

    public int setString(long a,
                         java.lang.String b,
                         int c,
                         int d)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    setString in interface java.sql.Clob

### truncate

    public void truncate(long a)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    truncate in interface java.sql.Clob

### setAsciiStream

    public java.io.OutputStream setAsciiStream(long a)
                                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    setAsciiStream in interface java.sql.Clob

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD